Summary:	C++ wrappers for GooCanvas 2 library
Summary(pl.UTF-8):	Interfejsy C++ dla biblioteki GooCanvas 2
Name:		goocanvasmm2
Version:	1.90.11
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/goocanvasmm/1.90/goocanvasmm-%{version}.tar.xz
# Source0-md5:	b2f34e67f550593e90199fd64eac243c
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	doxygen
BuildRequires:	glibmm-devel >= 2.46.1
BuildRequires:	goocanvas2-devel >= 2.0.1
BuildRequires:	gtkmm3-devel >= 3.18.0
BuildRequires:	libtool >= 2:1.5
BuildRequires:	mm-common >= 0.9.5
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glibmm >= 2.46.1
Requires:	goocanvas2 >= 2.0.1
Requires:	gtkmm3 >= 3.18.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C++ wrappers for GooCanvas 2 library.

%description -l pl.UTF-8
Interfejsy C++ dla biblioteki GooCanvas 2.

%package devel
Summary:	Header files for goocanvasmm 2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki goocanvasmm 2
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glibmm-devel >= 2.46.1
Requires:	goocanvas2-devel >= 2.0.1
Requires:	gtkmm3-devel >= 3.18.0

%description devel
Header files for goocanvasmm 2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki goocanvasmm 2.

%package static
Summary:	Static goocanvasmm 2 library
Summary(pl.UTF-8):	Statyczna biblioteka goocanvasmm 2
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static goocanvasmm 2 library.

%description static -l pl.UTF-8
Statyczna biblioteka goocanvasmm 2.

%package apidocs
Summary:	goocanvasmm 2 API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki goocanvasmm 2
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API documentation for goocanvasmm 2 library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki goocanvasmm 2.

%prep
%setup -q -n goocanvasmm-%{version}

%build
%{__libtoolize}
%{__aclocal} -I build
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libgoocanvasmm-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgoocanvasmm-2.0.so.6

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgoocanvasmm-2.0.so
%{_libdir}/goocanvasmm-2.0
%{_includedir}/goocanvasmm-2.0
%{_pkgconfigdir}/goocanvasmm-2.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgoocanvasmm-2.0.a

%files apidocs
%defattr(644,root,root,755)
# it can't be compressed
%{_docdir}/goocanvasmm-2.0
%{_datadir}/devhelp/books/goocanvasmm-2.0
%changelog
* Mon Oct 05 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/goocanvasmm2.git;a=log;h=master

* Mon Oct 05 2015 Jakub Bogusz <qboosh@pld-linux.org> 52c073c
- updated to 1.90.11; C++11 now

* Sat Apr 18 2015 Jan Rękorajski <baggins@pld-linux.org> 1a492f0
- release 4 (by relup.sh)

* Mon Mar 02 2015 Elan Ruusamäe <glen@delfi.ee> 5df22fc
- x32 rebuild
- release 3 (by relup.sh)

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> 36f6042
- noarch apidocs

* Fri Apr 26 2013 Jakub Bogusz <qboosh@pld-linux.org> bcc3a9e
- updated to 1.90.9

* Tue Nov 01 2011 Jakub Bogusz <qboosh@pld-linux.org> 2977416
- new

